Debian Bug report logs - #648591
RM: automake1.7 -- ROM; obsolete; newer versions in the archive

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Eric Dorland <eric@debian.org>

Date: Sun, 13 Nov 2011 07:39:02 UTC

Severity: normal

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#648591; Package ftp.debian.org. (Sun, 13 Nov 2011 07:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@debian.org>:
New Bug report received and forwarded. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sun, 13 Nov 2011 07:39:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RM: automake1.7 -- ROM; obsolete; newer versions in the archive
Date: Sun, 13 Nov 2011 02:33:29 -0500
Package: ftp.debian.org
Severity: normal

Tracking the removal of automake1.7.




Added blocking bug(s) of 648591: 648580, 648584, 648587, 648582, 648589, 648585, 648581, 648586, 648588, 648583, and 648590 Request was from Eric Dorland <eric@debian.org> to control@bugs.debian.org. (Sun, 13 Nov 2011 08:15:02 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Sun, 04 Dec 2011 00:51:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 648591: 665484 and 665485 Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Sat, 24 Mar 2012 23:03:06 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Wed, 08 Aug 2012 22:03:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#648591; Package ftp.debian.org. (Thu, 09 Aug 2012 21:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Thu, 09 Aug 2012 21:48:03 GMT) Full text and rfc822 format available.

Message #18 received at 648591@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: debian-release@lists.debian.org
Cc: 648591@bugs.debian.org
Subject: Getting rid of automake1.7 for Wheezy?
Date: Thu, 9 Aug 2012 23:46:00 +0200
[Message part 1 (text/plain, inline)]
Hi,

bug #648591 asks for removal of automake1,7, superseded by newer versions.
It wasn't processed in time for the freeze because of two rdeps,
isdnutils and lustre.

Both packages have been recently adjusted to migrate to a newer
automake (debdiffs attached), so I wonder whether you are inclined to
grant a freeze exception for these packages to eventually let
automake1.7 to be removed from Wheezy after its removal from unstable.
If that's unsuitable for Wheezy, would you like FTP Team to wait to
remove automake1.7 from unstable too?
[isdnutils.diff (application/octet-stream, attachment)]
[lustre.diff (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#648591; Package ftp.debian.org. (Thu, 09 Aug 2012 23:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Thu, 09 Aug 2012 23:57:03 GMT) Full text and rfc822 format available.

Message #23 received at 648591@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Luca Falavigna <dktrkranz@debian.org>
Cc: debian-release@lists.debian.org, 648591@bugs.debian.org
Subject: Re: Getting rid of automake1.7 for Wheezy?
Date: Fri, 10 Aug 2012 01:56:15 +0200
[Message part 1 (text/plain, inline)]
Hello Luca,

Luca Falavigna <dktrkranz@debian.org> (09/08/2012):
> bug #648591 asks for removal of automake1,7, superseded by newer
> versions.  It wasn't processed in time for the freeze because of two
> rdeps, isdnutils and lustre.
> 
> Both packages have been recently adjusted to migrate to a newer
> automake (debdiffs attached), so I wonder whether you are inclined to
> grant a freeze exception for these packages to eventually let
> automake1.7 to be removed from Wheezy after its removal from unstable.
> If that's unsuitable for Wheezy, would you like FTP Team to wait to
> remove automake1.7 from unstable too?

I've just unblocked isdnutils; the patch for lustre doesn't look too
bad, but we still have to receive a bug report for its unblock AFAICT.
It looks to me like dropping automake1.7 entirely could happen once we
have dealt with that said unblock request (probably favorably).

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Thu, 16 Aug 2012 12:54:17 GMT) Full text and rfc822 format available.

Notification sent to Eric Dorland <eric@debian.org>:
Bug acknowledged by developer. (Thu, 16 Aug 2012 12:54:18 GMT) Full text and rfc822 format available.

Message #28 received at 648591-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 648591-close@bugs.debian.org
Cc: automake1.7@packages.debian.org, automake1.7@packages.qa.debian.org
Subject: Bug#648591: Removed package(s) from unstable
Date: Thu, 16 Aug 2012 12:52:01 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

automake1.7 |   1.7.9-10 | source, all

------------------- Reason -------------------
ROM; obsolete; newer versions in the archive
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive and will not propagate to any mirrors (ftp.debian.org
included) until the next dinstall run at the earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

We try to close Bugs which have been reported against this package
automatically.  But please check all old bugs, if they where closed
correctly or should have been re-assign to another package.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 648591@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/648591

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 14 Sep 2012 07:30:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:21:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.